Public Member Functions | Public Attributes | List of all members
libebook::PeanutPressAttributes Struct Reference

`#include <PeanutPressTypes.h>`

## Public Member Functions
| PeanutPressAttributes ()

## Public Attributes
bool | pageBreak
bool | chapter
bool | center
bool | right
bool | italic
bool | underline
bool | overstrike
bool | indent
unsigned | indentPercent
PeanutPressFontType | font
bool | bold
bool | superscript
bool | subscript
bool | smallcaps

## Constructor & Destructor Documentation

## ◆ PeanutPressAttributes()

libebook::PeanutPressAttributes::PeanutPressAttributes | ( |  | ) |

## Member Data Documentation

## ◆ bold

bool libebook::PeanutPressAttributes::bold

## ◆ center

bool libebook::PeanutPressAttributes::center

## ◆ chapter

bool libebook::PeanutPressAttributes::chapter

## ◆ font

PeanutPressFontType libebook::PeanutPressAttributes::font

## ◆ indent

bool libebook::PeanutPressAttributes::indent

## ◆ indentPercent

unsigned libebook::PeanutPressAttributes::indentPercent

## ◆ italic

bool libebook::PeanutPressAttributes::italic

## ◆ overstrike

bool libebook::PeanutPressAttributes::overstrike

## ◆ pageBreak

bool libebook::PeanutPressAttributes::pageBreak

## ◆ right

bool libebook::PeanutPressAttributes::right

## ◆ smallcaps

bool libebook::PeanutPressAttributes::smallcaps

## ◆ subscript

bool libebook::PeanutPressAttributes::subscript

## ◆ superscript

bool libebook::PeanutPressAttributes::superscript

## ◆ underline

bool libebook::PeanutPressAttributes::underline

The documentation for this struct was generated from the following files:

- PeanutPressTypes.h
- PeanutPressTypes.cpp